# Uses of Class
org.apache.lucene.search.suggest.document.CompletionWeight

Packages that use CompletionWeight
Package
Description
org.apache.lucene.search.suggest.document
Support for document suggestion

- ## Uses of CompletionWeight in org.apache.lucene.search.suggest.document

  Fields in org.apache.lucene.search.suggest.document declared as CompletionWeight
  Modifier and Type
  Field
  Description
  `protected final CompletionWeight`
  CompletionScorer.`weight`
  weight that created this scorer
  Constructors in org.apache.lucene.search.suggest.document with parameters of type CompletionWeight
  Modifier
  Constructor
  Description
  `protected`
  `CompletionScorer(CompletionWeight weight, NRTSuggester suggester, LeafReader reader, Bits filterDocs, boolean filtered, Automaton automaton)`
  Creates a scorer for a field-specific `suggester` scoped by `acceptDocs`